function p.__get_is_solid() return false end
function p.__get_tex() return "" end

function p.__main()
    set_default_block("block_e")

    --Getting the block type of the chunk below
    --the one being generated.
    local below_bt = get_input_adj_bt(0,0,-1)

    --Seeing if the block type of the chunk
    --below is physically solid.
    local below_is_solid = bt_get_is_solid_physically(below_bt);

    if( below_is_solid ) then
        --Can actually have an (Onion the cat) dandelion.
        create_rect("block_r_green", 7,7,0, 7,7,7)
        create_rect("block_r_onion_the_cat", 6,6,6, 8,8,8)
    end
end

-- --Here is a simpler version.
-- function p.__main()
--     set_default_block("e")
--     local below_type = get_input_adj_bt(0,0,-1)
--     if( below_type == "block_s" ) then
--         --Can actually have an (Onion the cat) dandelion.
--         create_rect("r_green", 7,7,0, 7,7,7)
--         create_rect("r_onion_the_cat", 6,6,6, 8,8,8)
--     end
-- end
